<?php

/************************************************************************************/
/*														*/
/*					     Dossier : Membre						*/
/*					  ---------------------						*/
/*						  error.php							*/
/*					  ---------------------						*/
/*														*/
/*	Date				: 08 Aot 2005							*/
/*	Copyright			: (C) 2005 CrowkaiT						*/
/*	Email				: crowkait@phpboost.com						*/
/*	Web				: http://www.phpboost.com					*/
/*	Version			: v.1.0								*/
/*														*/
/*	Compatible			: PhpBoost v.3.0							*/
/*														*/
/************************************************************************************/
/*														*/
/*	This program is free software; you can redistribute it and/or modify it 	*/
/*	under the terms of the GNU General Public License as published by the Free 	*/
/*	Software Foundation; either version 2 of the License, or (at your option) 	*/
/*	any later version.										*/
/*														*/
/*	This program is distributed in the hope that it will be useful, but WITHOUT	*/
/*	ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS */
/*	FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details	*/
/*														*/
/*	You should have received a copy of the GNU General Public License	along with	*/
/*	this program; if not, write to the Free Software Foundation, Inc., 		*/
/*	51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.			*/
/*														*/
/************************************************************************************/

/************************************************************************************/
/*														*/
/*					  ---------------------						*/
/*						Modifications						*/
/*					  ---------------------						*/
/*														*/
/*	Date				: 19 Mars 2012							*/
/*	Copyright			: 2012 PhpCraft (C)						*/
/*	Email				: phpcraft@live.fr						*/
/*	Version			: Member Connexion v.1.0					*/
/*														*/
/*	Compatible			: PhpBoost v.3.0							*/
/*														*/
/************************************************************************************/

/************************************************************************************/
/*														*/
/*	$Id: error.php (*_*) Version : 1.0.0 - 19/03/2012 22:24 $phpcraft			*/
/*														*/
/************************************************************************************/

require_once('../kernel/begin.php');
require_once(PATH_TO_ROOT . '/lang/' . get_ulang() . '/member.php');
define('TITLE', $LANG['error_title']);
require_once('../kernel/header.php');

$id_error = retrieve(GET, 'e', '');

$array_error = array('e_member_ban', 'e_member_ban_w', 'e_unexist_member', 'e_unactiv_member', 'e_member_flood', 'e_forget_confirm_change');
if ( in_array($id_error, $array_error) )
{
	if ($User->get_attribute('user_id') === -1)
	{
		// --------------------
		// Appel du fichier TPL
		//
		$Template->set_filenames(array(
			'error'=> 'member/error.tpl')
		);

		// -------------------
		// Gestion des erreurs
		//
		$errno = E_USER_WARNING;
		switch ($id_error)
		{
			// Bannissement sur la dure
			case 'e_member_ban':
				$ban = !empty($_GET['ban']) ? numeric($_GET['ban']) : '';
				if ($ban > 0)
				{
					if ($ban < 60)
					{
						$delay_ban = $ban . ' ' . (($ban > 1) ? $LANG['minutes'] : $LANG['minute']);
					}
					else if ($ban < 1440)
					{
						$delay_ban = number_round($ban/60, 0);
						$delay_ban = $delay_ban . ' ' . (($delay_ban > 1) ? $LANG['hours'] : $LANG['hour']);
					}
					else if ($ban < 10080)
					{
						$delay_ban = number_round($ban/1440, 0);
						$delay_ban = $delay_ban . ' ' . (($delay_ban > 1) ? $LANG['days'] : $LANG['day']);
					}
					else if ($ban < 43200)
					{
						$delay_ban = number_round($ban/10080, 0);
						$delay_ban = $delay_ban . ' ' . (($delay_ban > 1) ? $LANG['weeks'] : $LANG['week']);
					}
					else if ($ban < 525600)
					{
						$delay_ban = number_round($ban/43200, 0);
						$delay_ban = $delay_ban . ' ' . (($delay_ban > 1) ? $LANG['months'] : $LANG['month']);
					}
					else
					{
						$delay_ban = number_round($ban/525600, 0);
						$delay_ban = $delay_ban . ' ' . (($delay_ban > 1) ? $LANG['years'] : $LANG['year']);
					}
				}
				else
				{
					$delay_ban = 0 . ' ' . $LANG['minutes'];
				}
				$errstr = $LANG['e_member_ban'] . ' ' . $delay_ban;
			break;

			// Bannissement dfinitif
			case 'e_member_ban_w':
				$errstr = $LANG['e_member_ban_w'];
			break;

			// Le nom de l'utilisateur n'existe pas
			case 'e_unexist_member':
				$errstr = $LANG['e_unexist_member'];
			break;

			// Le compte de l'utilisateur n'est pas activ
			case 'e_unactiv_member':
				$errstr = $LANG['e_unactiv_member'];
			break;

			// Mot de passe oubli
			case 'e_forget_confirm_change':
				$errstr = $LANG['e_forget_confirm_change'];
			break;

			// Essais de connexion, compte verrouill sur la dure
			case 'e_member_flood':
				$flood = retrieve(GET, 'flood', 0);
				$flood = ($flood > 0 && $flood <= 5) ? $flood : 0;
				$flood = ($flood > 0) ? sprintf($LANG['e_test_connect'], $flood) : $LANG['e_nomore_test_connect'];
				$errstr = $flood;
			break;

			default:
			$errstr = '';
		}

		if ( !empty($errstr) )
		{
			$Errorh->handler($errstr, $errno);
		}
			
		// ---------------
		// Variable du TPL
		//
		$Template->assign_vars(array(
			'L_CONNECT_TITLE' => $LANG['connect_title'],
			'L_CONNECT' => $LANG['connect'],
			'L_REGISTER' => $LANG['register'],

			'L_USERNAME' => $LANG['username'],
			'L_PSEUDO' => $LANG['pseudo'],
			'L_PASSWORD' => $LANG['password'],
			'L_AUTOCONNECT' => $LANG['autoconnect'],
			'L_FORGET_PASS' => $LANG['forget_pass'],
			'L_FORGET_MY_PASS' => $LANG['forget_my_pass'],
			'L_REQUIRE_USERNAME' => $LANG['require_username'],
			'L_REQUIRE_PASSWORD' => $LANG['require_password'],
			'L_REQUIRE_ACCOUNT' => $LANG['require_account'],
			'L_ACCOUNT_REGISTER' => $LANG['account_register'],

			'L_LOGIN_DETAILS_BELOW' => $LANG['login_details_below'],
			'L_LEGAL_MENTION' => $LANG['legal_mention'],
			'L_OPTIONS' => $LANG['options'],
			'L_ACCEPT_LEGAL_MENTION' => $LANG['accept_legal_mention'],
			'L_FIELDS_MARKED_MANDATORY' => $LANG['fields_marked_mandatory'],
			'L_VISIT_AUTOCONNECT' => $LANG['visit_autoconnect'],
			'L_VISIT_AUTOCONNECT_EXPLAIN' => $LANG['visit_autoconnect_explain'],
			'L_HIDE_ONLINE_STATUS' => $LANG['hide_online_status'],
			'L_HIDE_ONLINE_STATUS_EXPLAIN' => $LANG['hide_online_status_explain'],
			'L_IMPORTANT' => $LANG['important'],
			'L_ACCEPT_COOKIES_BOARD' => $LANG['accept_cookies_board'],

			'L_RECEIVE_CONNECTION_SETTINGS' => $LANG['receive_connection_settings'],
			'L_RECEIVE_CONNECTION_SETTINGS_EXPLAIN' => $LANG['receive_connection_settings_explain'],
			'L_RECEIVE_FORGET_ACCOUNT' => $LANG['receive_forget_account'],

			'L_REGISTER_JOIN' => $LANG['register_join'],
			'L_REGISTER_JOIN_EXPLAIN' => $LANG['register_join_explain'],

			'C_ERRORH_CONNEXION' => true,
    			'C_USER_REGISTER' => (bool)$CONFIG_USER['activ_register']
		));
		$Template->pparse('error');
	}
	else
	{
		redirect(get_start_page());
	}
}
else if ( !empty($id_error) )
{
	// --------------------
	// Appel du fichier TPL
	//
	$Template->set_filenames(array(
		'error'=> 'member/error.tpl')
	);

	// ---------------------------------------------------------------
	// Inclusion des langues des erreurs pour le module si elle existe
	//
	$module = substr(strrchr($id_error, '_'), 1);
	if ( is_dir('../' . $module) )

	// Chargement de la langue du module
	load_module_lang($module);

	// ---------------
	// Variable du TPL
	//
	$Template->assign_vars(array(
		'L_ERROR' => $LANG['error'],

		'THEME' => get_utheme(),

		'U_BACK' => !empty($_SERVER['HTTP_REFERER']) ? '<a href="' . url($_SERVER['HTTP_REFERER']) .'">' . $LANG['back'] . '</a>' : '<a href="javascript:history.back(1)">' . $LANG['back'] . '</a>',
		'U_INDEX' => '<a href="' . url(get_start_page()) .'">' . $LANG['home'] . '</a>'
	));
	
	$Template->assign_vars(array(
		'L_ERRORH' => isset($LANG[$id_error]) ? $LANG[$id_error] : $LANG['unknow_error'],

		'ERRORH_IMG' => 'important',
		'ERRORH_CLASS' => 'error_warning',

		'C_ERRORH_CONNEXION' => false,
		'C_ERRORH' => true
	));
	$Template->pparse('error');
}
else if ($User->get_attribute('user_id') === -1)
{
	// --------------------
	// Appel du fichier TPL
	//
	$Template->set_filenames(array(
		'error'=> 'member/error.tpl')
	);

	// ---------------
	// Variable du TPL
	//
	$Template->assign_vars(array(
		'L_CONNECT_TITLE' => $LANG['connect_title'],
		'L_CONNECT' => $LANG['connect'],
		'L_REGISTER' => $LANG['register'],

		'L_USERNAME' => $LANG['username'],
		'L_PSEUDO' => $LANG['pseudo'],
		'L_PASSWORD' => $LANG['password'],
		'L_AUTOCONNECT' => $LANG['autoconnect'],
		'L_FORGET_PASS' => $LANG['forget_pass'],
		'L_FORGET_MY_PASS' => $LANG['forget_my_pass'],
		'L_REQUIRE_USERNAME' => $LANG['require_username'],
		'L_REQUIRE_PASSWORD' => $LANG['require_password'],
		'L_REQUIRE_ACCOUNT' => $LANG['require_account'],
		'L_ACCOUNT_REGISTER' => $LANG['account_register'],

		'L_LOGIN_DETAILS_BELOW' => $LANG['login_details_below'],
		'L_LEGAL_MENTION' => $LANG['legal_mention'],
		'L_OPTIONS' => $LANG['options'],
		'L_ACCEPT_LEGAL_MENTION' => $LANG['accept_legal_mention'],
		'L_FIELDS_MARKED_MANDATORY' => $LANG['fields_marked_mandatory'],
		'L_VISIT_AUTOCONNECT' => $LANG['visit_autoconnect'],
		'L_VISIT_AUTOCONNECT_EXPLAIN' => $LANG['visit_autoconnect_explain'],
		'L_HIDE_ONLINE_STATUS' => $LANG['hide_online_status'],
		'L_HIDE_ONLINE_STATUS_EXPLAIN' => $LANG['hide_online_status_explain'],
		'L_IMPORTANT' => $LANG['important'],
		'L_ACCEPT_COOKIES_BOARD' => $LANG['accept_cookies_board'],

		'L_RECEIVE_CONNECTION_SETTINGS' => $LANG['receive_connection_settings'],
		'L_RECEIVE_CONNECTION_SETTINGS_EXPLAIN' => $LANG['receive_connection_settings_explain'],
		'L_RECEIVE_FORGET_ACCOUNT' => $LANG['receive_forget_account'],

		'L_REGISTER_JOIN' => $LANG['register_join'],
		'L_REGISTER_JOIN_EXPLAIN' => $LANG['register_join_explain'],

		'C_ERRORH_CONNEXION' => true,
    		'C_USER_REGISTER' => (bool)$CONFIG_USER['activ_register']
	));
	$Template->pparse('error');
}
else
{
	redirect(get_start_page());
}

include_once('../kernel/footer.php');

//
// Fin du fichier !
// ----------------

?>